# This file created by conda-build 3.24.0
# meta.yaml template originally from:
# /feedstock/recipe, last modified Mon Aug 28 08:19:33 2023
# ------------------------------------------------

package:
  name: nodejs
  version: 18.16.0
source:
  patches:
    - 0001-Forward-ceilf-floorf.patch
    - cinttypes.patch
    - less-shared-intermediate.patch
    - linux-librt.patch
  sha256: 6a4f5c5d76e5c50cef673099e56f19bc3266ae363f56ca0ab77dd2f3c5088c6d
  url: https://nodejs.org/dist/v18.16.0/node-v18.16.0.tar.gz
build:
  detect_binary_files_with_prefix: false
  number: '1'
  string: ha637b67_1
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - _sysroot_linux-64_curr_repodata_hack 3 haa98f57_10
    - binutils_impl_linux-64 2.38 h2a08ee3_1
    - binutils_linux-64 2.38.0 hc2dff05_0
    - ca-certificates 2023.05.30 h06a4308_0
    - gcc_impl_linux-64 11.2.0 h1234567_1
    - gcc_linux-64 11.2.0 h5c386dc_0
    - gxx_impl_linux-64 11.2.0 h1234567_1
    - gxx_linux-64 11.2.0 hc2dff05_0
    - kernel-headers_linux-64 3.10.0 h57e8cba_10
    - ld_impl_linux-64 2.38 h1181459_1
    - libffi 3.4.4 h6a678d5_0
    - libgcc-devel_linux-64 11.2.0 h1234567_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-devel_linux-64 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - ncurses 6.4 h6a678d5_0
    - ninja 1.10.2 h06a4308_5
    - ninja-base 1.10.2 hd09550d_5
    - openssl 3.0.10 h7f8727e_2
    - patch 2.7.6 h7b6447c_1001
    - pkg-config 0.29.2 h1bed415_8
    - python 3.8.17 h955ad1f_0
    - readline 8.2 h5eee18b_0
    - sqlite 3.41.2 h5eee18b_0
    - sysroot_linux-64 2.17 h57e8cba_10
    - tk 8.6.12 h1ccaba5_0
    - xz 5.4.2 h5eee18b_0
    - zlib 1.2.13 h5eee18b_0
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - ca-certificates 2023.05.30 h06a4308_0
    - icu 73.1 h6a678d5_0
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuv 1.44.2 h5eee18b_0
    - openssl 1.1.1v h7f8727e_0
    - zlib 1.2.13 h5eee18b_0
  run:
    - icu >=73.1,<74.0a0
    - libgcc-ng >=11.2.0
    - libstdcxx-ng >=11.2.0
    - libuv >=1.44.2,<1.45.0a0
    - libuv >=1.44.2,<1.45.0a0
    - openssl >=1.1.1v,<1.1.2a
    - zlib >=1.2.13,<1.3.0a0
test:
  commands:
    - node -h
    - node -v
    - npm version
    - npm install -h
    - npm config get prefix -g
    - test $(echo "console.log(1 + 3)" | node) == 4
    - test -f $PREFIX/lib/libnode.so.108
about:
  description: 'Node.js is an open-source, cross-platform JavaScript runtime environment.

    As an asynchronous event-driven JavaScript runtime, Node.js is designed to

    build scalable network applications.

    '
  dev_url: https://github.com/nodejs/node
  doc_url: https://nodejs.org/en/docs/
  home: https://nodejs.org/
  license: MIT
  license_family: MIT
  license_file: LICENSE
  summary: Node.js is an open-source, cross-platform JavaScript runtime environment.
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: b882f52f-f1e9-4d42-8052-924ad2ede7e4
  recipe-maintainers:
    - blink1073
    - katietz
    - minrk
    - msarahan
    - pelson
    - xhochy
  remote_url: git@github.com:AnacondaRecipes/nodejs-feedstock.git
  sha: 2cb4da99cf655536afc51285569c25814c199c6a
